> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Update a Profile

> PUT /profiles/{profile_id}
> 
> A SERVER user may update any profile. A COMPANY user on an internal client app may update their own profile's name, address, contact and `time_zone` fields. The license and account-state fields `max_user`, `max_page`, `is_trial`, `is_active` and `support_hours` are SERVER only.



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile



### Body: application/json (object)

- **name** (string)

- **address1** (string)

- **address2** (string)

- **city** (string)

- **zip** (string)

- **state** (string)

- **country** (string)

- **phone** (string)

- **fax** (string)

- **email** (string)

- **max_user** (number)

- **max_page** (number)

- **is_active** (boolean)

- **time_zone** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **id** (number)
  the updated profile id


### 403
Forbidden - the caller is not a SERVER user and is not a COMPANY user of this profile on an internal client app, or the body sets `max_user`, `max_page`, `is_trial`, `is_active` or `support_hours` and the caller is not a SERVER user.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
